Get results
curl --request GET \
--url https://api.usebouncer.com/v1.1/email/verify/batch/{batchId}/download \
--header 'x-api-key: <api-key>'import requests
url = "https://api.usebouncer.com/v1.1/email/verify/batch/{batchId}/download"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.usebouncer.com/v1.1/email/verify/batch/{batchId}/download', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"email": "john@usebouncer.com",
"status": "deliverable",
"reason": "accepted_email",
"domain": {
"name": "usebouncer.com",
"acceptAll": "no",
"disposable": "no",
"free": "no"
},
"account": {
"role": "no",
"disabled": "no",
"fullMailbox": "no"
},
"dns": {
"type": "MX",
"record": "aspmx.l.google.com."
},
"provider": "google.com",
"score": 100,
"toxic": "unknown",
"toxicity": 0
},
{
"email": "jane@usebouncer.com",
"status": "deliverable",
"reason": "accepted_email",
"domain": {
"name": "usebouncer.com",
"acceptAll": "no",
"disposable": "no",
"free": "no"
},
"account": {
"role": "no",
"disabled": "no",
"fullMailbox": "no"
},
"dns": {
"type": "MX",
"record": "aspmx.l.google.com."
},
"provider": "google.com",
"score": 100,
"toxic": "unknown",
"toxicity": 0
}
]{
"status": "404",
"error": "Not Found",
"message": "request 1l2k3k4j5h does not exist"
}{
"status": "405",
"error": "Method Not Allowed",
"message": "batch is not completed"
}Batch
Get results
Download batch result as JSON. You can filter out what to download by status, eg. download only deliverable emails.
GET
/
v1.1
/
email
/
verify
/
batch
/
{batchId}
/
download
Get results
By default results are downloaded in JSON format.
CSV format support
Results can also be downloaded as CSV file by passing ‘Accept’ header.
curl https://api.usebouncer.com/v1.1/email/verify/batch/<BATCH_ID>/download \
-H "x-api-key: <api-key>" \
-H 'Accept: text/csv'
Authorizations
Path Parameters
Query Parameters
download emails by status, possible values: all, deliverable, risky, undeliverable, unknown
Response
OK
Available options:
deliverable, risky, undeliverable, unknown Available options:
accepted_email, low_deliverability, low_quality, invalid_email, invalid_domain, rejected_email, dns_error, unavailable_smtp, unsupported, timeout, unknown Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Required range:
0 <= x <= 100Required range:
0 <= x <= 5⌘I